## org.w3c.jigedit.filters
Class PutFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigedit.filters.PutFilter

Direct Known Subclasses:
  GrepPutFilter

public class PutFilter
extends ResourceFilter

Field Summary
`protected static int` `ATTR_PUTLIST` Attribute index - The companion PutList resource's URL.

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`PutFilter()`

Method Summary
`protected HtmlGenerator` `getHtmlGenerator(java.lang.String title)`
`java.lang.String` `getPutListURL()` Get our companion PutListResource's URL.
`ReplyInterface` `ingoingFilter(RequestInterface req)` Nothing done in the ingoingFilter.
`void` `initialize(java.lang.Object[] values)` Initialize the frames of that framed resource.
`ReplyInterface` `outgoingFilter(RequestInterface req, ReplyInterface rep)` Catch successfull PUTs, and keep track of them.
`protected ResourceReference` `resolvePutListResource()`
`void` `setValue(int idx, java.lang.Object value)` Catch PUTLIST assignments.

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, initialize, lookup, outgoingFilter, outputFilter, pickleValues`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_PUTLIST

    protected static int ATTR_PUTLIST

  Attribute index - The companion PutList resource's URL.

Constructor Detail

### PutFilter

    public PutFilter()

Method Detail

### resolvePutListResource

    protected ResourceReference resolvePutListResource()

### getPutListURL

    public java.lang.String getPutListURL()

  Get our companion PutListResource's URL.
  Returns:
    The URL encoded as a String, or null if undefined.

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Catch PUTLIST assignments.
  Overrides:
    setValue in class ResourceFrame
  Parameters:
    `idx` - The attribute being updated.
    `value` - It's new value.

### ingoingFilter

    public ReplyInterface ingoingFilter(RequestInterface req)

  Nothing done in the ingoingFilter. We wait until the outgoigFilter.
  Overrides:
    ingoingFilter in class ResourceFilter
  Parameters:
    `request` - The request that is about to be processsed.

### getHtmlGenerator

    protected HtmlGenerator getHtmlGenerator(java.lang.String title)

### outgoingFilter

    public ReplyInterface outgoingFilter(RequestInterface req,
                                         ReplyInterface rep)

  Catch successfull PUTs, and keep track of them.
  Overrides:
    outgoingFilter in class ResourceFilter
  Parameters:
    `request` - The original request.
    `reply` - The original reply.
  Returns:
    Always null.

### initialize

    public void initialize(java.lang.Object[] values)

  Description copied from class: FramedResource
  Initialize the frames of that framed resource.
  Overrides:
    initialize in class FramedResource
  Tags copied from class: FramedResource
  Parameters:
    `values` - Default attribute values.